CSDN论坛 > Linux/Unix社区 > Power Linux

大神帮忙看下,linux安装nginx,make时报错 [问题点数:50分]

Bbs1
本版专家分:0
结帖率 0%
CSDN今日推荐
Bbs1
本版专家分:0
Bbs1
本版专家分:0
Bbs1
本版专家分:0
Bbs1
本版专家分:0
Bbs6
本版专家分:8317
Blank
红花 2016年7月 Linux/Unix社区大版内专家分月排行榜第一
2016年3月 Linux/Unix社区大版内专家分月排行榜第一
Blank
黄花 2016年12月 Linux/Unix社区大版内专家分月排行榜第二
Bbs1
本版专家分:0
Bbs1
本版专家分:0
匿名用户不能发表回复!
其他相关推荐
nginx 安装时候报错:make: *** No rule to make target `build', needed by `default'. Stop.
出现此种情况,是linux系统没有安装先决条件 1、GCC——GNU编译器集合(GCC可以使用默认包管理器的仓库(repositories)来安装,包管理器的选择依赖于你使用的Linux发布版本,包管理器有不同的实现:yum是基于Red Hat的发布版本;apt用于Debian和Ubuntu;yast用于SuSE Linux等等。) RedHat中安装GCC: yum insta
解决Linux系统下安装redis make出错的问题
主要问题 collect2: ld 返回 1 make[1]: *** [redis-server] 错误 1  make[1]: Leaving directory `/usr/local/redis-3.0. 解决方法 : make +参数  CFLAGS="-march=i686" 原理:和gcc编译有关系 -march=i686设定为像-march=i686 -mt
Nginx安装加载ssl错误
Nginx安装加载ssl错误问题解决     [root@jowei nginx-0.8.9]# make make -f objs/Makefile make[1]: Entering directory `/jowei/nginx-0.8.9' cd /usr/include/openssl/ \         && make clean \
Linux平台下安装Nginx的问题:make: *** 没有规则可以创建“default”需要的目标“build” 问题解决
Linux下安装Nginx: 1 安装Nginx前,需要先安装 PCRE 库 如已经安装,请略过: wget ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/pcre-7.7.tar.gz tar zxvf pcre-7.7.tar.gz cd pcre-7.7 ./configure make make instal
linux下redis安装遇到的问题记录
1.redis在make时报错 下载解压redis-3.0.2后,执行make进行编译,结果出现下面的错误: make: cc: Command not found make: *** [adlist.o] Error 127 2. 这是由于新安装的Linux系统没有安装gcc环境,需要安装gcc,为了方便,这里我选择用yum进行安装。 # yum 
乌班图安装nginx中出现的一些错误问题解决方案
Nginx安装问题 下载nginx,地址:http://nginx.org/en/download.html 解压安装,这个不解释 问题出现1: ? 1 2 3 4 ./configure: error: the HTTP rewrite module requires the PCRE library. You can either d
Linux下解决./configure ,make,make install的报错
Linux下从源代码下编译安装一个软件有时候会报错,遇到一些麻烦。有些情况即使你用了很多方法去尝试解决,但问题依然存在,那怎么办呢?本教程教你怎么解决Linux软件编译时遇到的问题 注意:编译安装一个软件不会被系统的包管理系统记录信息,这对于卸载和记录软件的行为都是不利的,建议您尽量使用打包好的包(.rpm .deb) 我们分3类错: ./configure 错误 make 错误 mak
安装apr-util 执行make命令时报错的解决方法
在安装LAMP环境的时候,要安装APR和APR-util两个包,这里的httpd用的是2.4版本,因为2.2版本会要安装额外的模块,同学们要注意。 当然在安装之前要把要用到的库文件安装上,以下是用到的库文件: gcc gcc-c++ autoconf libxml2 libxml2-devel glibc glibc-devel glib2 glib2-devel bzip2 bzip2-de
安装zlib pcre nginx时报错
安装zlib时报错: 需安装gcc yum install -y gcc * 编译pcre错误(源码安装nginx必须先要装pcre)   libtool: compile: unrecognized option `-DHAVE_CONFIG_H'   libtool: compile: Try `libtool --help' for more inf
Linux下面安装Python常见错误解决方法
1、 2、安装setuptools报错 安装zlib $wget http://zlib.net/zlib-1.2.8.tar.gz $tar -xvzf zlib-1.2.8.tar.gz $cd zlib-1.2.8.tar.gz $./configure $make $sudo make install 然后再次安装Python copying
关闭